Skip to main content
GET
/
connect
/
v1
/
connections
/
{connectionId}
/
cruises
List cruises on a connection
curl --request GET \
  --url https://api.voyant.travel/connect/v1/connections/{connectionId}/cruises \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "connectionId": "<string>",
      "externalId": "<string>",
      "name": "<string>",
      "cruiseType": "<string>",
      "nights": 123,
      "locale": "<string>",
      "supplierName": "<string>",
      "cruiseLineExternalId": "<string>",
      "shipExternalId": "<string>",
      "slug": "<string>",
      "status": "<string>",
      "destinations": [
        "<string>"
      ],
      "embarkationPortCode": "<string>",
      "disembarkationPortCode": "<string>",
      "market": "<string>",
      "currency": "<string>",
      "priceFromAmountMinor": 123,
      "priceFromCurrency": "<string>",
      "sourceKind": "<string>",
      "sourceProvider": "<string>",
      "sourceConnectionId": "<string>",
      "sourceRef": "<string>",
      "sourceFreshness": "<string>",
      "lastSourcedAt": "2023-11-07T05:31:56Z",
      "projection": {},
      "projectionSchemaVersion": "<string>",
      "projectionEtag": "<string>",
      "projectionSeenAt": "2023-11-07T05:31:56Z",
      "payload": {},
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "providerKey": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

connectionId
string
required

Connection id.

Response

200 - application/json

Cruise rows.

data
object[]